// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// super program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// super program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with super program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

class LabelWidget extends StatelessWidget {
  const LabelWidget({
    required this.label,
    required this.focusNode,
    required this.labelStyle,
    super.key,
  });

  final TextWrapper? label;
  final FocusNode focusNode;
  final TextStyle? labelStyle;

  @override
  Widget build(BuildContext context) => Text(
        label?.data ?? '',
        style: labelStyle,
        textAlign: label!.textAlign,
        textDirection: label!.textDirection,
        softWrap: label!.softWrap,
        overflow: label!.overflow,
        maxLines: label!.maxLines,
        selectionColor: label!.selectionColor,
      );
}
